# Class CIM_SystemConfiguration
extends CIM_ManagedElement

Note: Similar to the deprecation of CIM_Configuration, this peer class is also deprecated in favor of aggregating instances of Setting or SettingData into "higher-level" Settings or SettingData objects using the ConcreteComponent association. Deprecated description: CIM_SystemConfiguration represents the general concept of a CIM_Configuration that is scoped by a System. This class is a peer of CIM_Configuration because the key structure of Configuration is currently defined and cannot be modified with additional properties.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SystemConfiguration

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_ScopedSettingData, CIM_SystemSetting

Description

string

Note: Similar to the deprecation of CIM_Configuration, this peer class is also deprecated in favor of aggregating instances of Setting or SettingData into "higher-level" Settings or SettingData objects using the ConcreteComponent association. Deprecated description: CIM_SystemConfiguration represents the general concept of a CIM_Configuration that is scoped by a System. This class is a peer of CIM_Configuration because the key structure of Configuration is currently defined and cannot be modified with additional properties.

UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Deprecated | string | CIM_SystemSetting.CreationClassName
Description | string | Note: The use of this element is deprecated. Deprecated description: CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Deprecated | string | CIM_ScopedSettingData.InstanceID, CIM_SystemSetting.SettingID
Description | string | The label by which the Configuration object is known.
Key | boolean | true
MaxLen | uint32 | 256
SystemCreationClassName | string |
Deprecated | string | CIM_SystemSetting.SystemCreationClassName
Description | string | Note: The use of this element is deprecated. Deprecated description: The CreationClassName of the scoping system.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.CreationClassName
SystemName | string |
Deprecated | string | CIM_SystemSetting.SystemName
Description | string | Note: The use of this element is deprecated. Deprecated description: The Name of the scoping system.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods